#!/bin/sh -v
#run.sh
PHONEME_HOME_DIR=/mnt/sd/phoneME
PME_JAR_DIR=/mnt/sd/phoneME/jar/
PME_PME_DIR=/mnt/sd/phoneME/pME
cd $PHONEME_HOME_DIR/bin/arm
INPUT_FILE=$1
#echo $INPUT_FILE
INPUT_JAR=${INPUT_FILE#$PME_JAR_DIR}
#echo $INPUT_JAR
INPUT_PME=${INPUT_JAR%.jar}.pME
#echo $INPUT_PME
INPUT_PME_CONTENT=$(grep succesfully $PME_PME_DIR/$INPUT_PME)
#echo $INPUT_PME_CONTENT
ID_MIDLET=${INPUT_PME_CONTENT#"The suite was succesfully installed, ID: "}
#echo $ID_MIDLET
#
#---------------------------------------------
#"RUNG" - layout 
#---------------------------------------------
# (LEFT|                            |RIGHT)
#  [rot]                             [sel]
# 
#[_]   [up]   [_]                   [d]
#     \   |   /                     (Y)
#[lf] - [sel] - [rg]          [a] (A) (B) [b]
#     /   |   \                     (X)
#[_]   [dw]   [_]                   [c]
#
#  (-  VOL  +)           |SELECT/    |START>
#  [s1]   [s2]            [bks]       [end]
#
export J2ME_GP2X_JOYU=-1 	#[up]
export J2ME_GP2X_JOYUL=32 	#[_]
export J2ME_GP2X_JOYL=-3 	#[lf]
export J2ME_GP2X_JOYDL=32 	#[_]
export J2ME_GP2X_JOYD=-2 	#[dw]
export J2ME_GP2X_JOYDR=32 	#[_]
export J2ME_GP2X_JOYR=-4 	#[rg]
export J2ME_GP2X_JOYUR=32 	#[_]
export J2ME_GP2X_START=-11 	#[end]
export J2ME_GP2X_SELECT=-10	#[snd]
export J2ME_GP2X_LEFT=-22 	#[rot]
export J2ME_GP2X_RIGHT=-5 	#[sel]
export J2ME_GP2X_BUTA=-13 	#[a]
export J2ME_GP2X_BUTB=-14 	#[b]
export J2ME_GP2X_BUTX=-15 	#[c]
export J2ME_GP2X_BUTY=-16 	#[d]
export J2ME_GP2X_VOLU=-7 	#[s2]
export J2ME_GP2X_VOLD=-6 	#[s1]
export J2ME_GP2X_JOYC=-5 	#[sel]
cd /mnt/sd/phoneME/bin/arm
./runMidlet $ID_MIDLET
#sync
#cd /usr/gp2x
#exec ./gp2xmenu

