#!/bin/sh -v
#run.sh
PHONEME_HOME_DIR=/mnt/sd/phoneME
PME_JAR_DIR=/mnt/sd/phoneME/jar/
PME_PME_DIR=/mnt/sd/phoneME/pME
cd $PHONEME_HOME_DIR/bin/arm
INPUT_FILE=$1
#echo $INPUT_FILE
INPUT_JAR=${INPUT_FILE#$PME_JAR_DIR}
#echo $INPUT_JAR
INPUT_PME=${INPUT_JAR%.jar}.pME
#echo $INPUT_PME
INPUT_PME_CONTENT=$(grep succesfully $PME_PME_DIR/$INPUT_PME)
#echo $INPUT_PME_CONTENT
ID_MIDLET=${INPUT_PME_CONTENT#"The suite was succesfully installed, ID: "}
#echo $ID_MIDLET
#
#---------------------------------------------
#"RUN+" - layout 
#---------------------------------------------
# (LEFT|                            |RIGHT)
#  [rot]                              [0]
# 
#[1]   [2]   [3]                  [up]
#    \  |  /                      (Y)
#[4] - [5] - [6]           [lf] (A) (B) [rg]
#    /  |  \                      (X)
#[7]   [8]   [9]                  [dw]
#
#  (-  VOL  +)           |SELECT/    |START>
#   [*]   [#]              [s1]       [s2]
#
export J2ME_GP2X_JOYU=50 	#[2]
export J2ME_GP2X_JOYUL=49 	#[1]
export J2ME_GP2X_JOYL=52 	#[4]
export J2ME_GP2X_JOYDL=55 	#[7]
export J2ME_GP2X_JOYD=56 	#[8]
export J2ME_GP2X_JOYDR=57 	#[9]
export J2ME_GP2X_JOYR=54 	#[6]
export J2ME_GP2X_JOYUR=51 	#[3]
export J2ME_GP2X_START=-6 	#[s2]
export J2ME_GP2X_SELECT=-7 	#[s1]
export J2ME_GP2X_LEFT=-22 	#[rot]
export J2ME_GP2X_RIGHT=48 	#[0]
export J2ME_GP2X_BUTA=-3 	#[lf]
export J2ME_GP2X_BUTB=-4 	#[rg]
export J2ME_GP2X_BUTX=-2 	#[dw]
export J2ME_GP2X_BUTY=-1 	#[up]
export J2ME_GP2X_VOLU=35 	#[#]
export J2ME_GP2X_VOLD=42 	#[*]
export J2ME_GP2X_JOYC=53 	#[5]
cd /mnt/sd/phoneME/bin/arm
./runMidlet $ID_MIDLET
#sync
#cd /usr/gp2x
#exec ./gp2xmenu

